Package commonj.sdo

# Interface Sequence

public interface Sequence
A sequence is a heterogeneous list of `properties` and corresponding values. It represents an ordered arbitrary mixture of data values from more than one property of a `data object`.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int index, int propertyIndex, Object value)`
Adds a new entry with the specified property index and value at the specified entry index.
`void`
`add(int index, Property property, Object value)`
Adds a new entry with the specified property and value at the specified entry index.
`boolean`
`add(int propertyIndex, Object value)`
Adds a new entry with the specified property index and value to the end of the entries.
`void`
`add(int index, String text)`
Deprecated.
replaced by `addText(int, String)` in 2.1.0
`void`
`add(int index, String propertyName, Object value)`
Adds a new entry with the specified property name and value at the specified entry index.
`boolean`
`add(Property property, Object value)`
Adds a new entry with the specified property and value to the end of the entries.
`void`
`add(String text)`
Deprecated.
replaced by `addText(String)` in 2.1.0
`boolean`
`add(String propertyName, Object value)`
Adds a new entry with the specified property name and value to the end of the entries.
`void`
`addText(int index, String text)`
Adds a new text entry at the given index.
`void`
`addText(String text)`
Adds a new text entry to the end of the Sequence.
`Property`
`getProperty(int index)`
Returns the property for the given entry index.
`Object`
`getValue(int index)`
Returns the property value for the given entry index.
`void`
`move(int toIndex, int fromIndex)`
Moves the entry at `fromIndex` to `toIndex`.
`void`
`remove(int index)`
Removes the entry at the given entry index.
`Object`
`setValue(int index, Object value)`
Sets the entry at a specified index to the new value.
`int`
`size()`
Returns the number of entries in the sequence.

## Method Details

### size

int size()
Returns the number of entries in the sequence.

Returns:
  the number of entries.

### getProperty

Property getProperty(int index)
Returns the property for the given entry index. Returns `null` for mixed text entries.

Parameters:
  `index` - the index of the entry.
Returns:
  the property or `null` for the given entry index.

### getValue

Object getValue(int index)
Returns the property value for the given entry index.

Parameters:
  `index` - the index of the entry.
Returns:
  the value for the given entry index.

### setValue

Object setValue(int index, Object value)
Sets the entry at a specified index to the new value.

Parameters:
  `index` - the index of the entry.
  `value` - the new value for the entry.

### add

boolean add(String propertyName, Object value)
Adds a new entry with the specified property name and value to the end of the entries.

Parameters:
  `propertyName` - the name of the entry's property.
  `value` - the value for the entry.

### add

boolean add(int propertyIndex, Object value)
Adds a new entry with the specified property index and value to the end of the entries.

Parameters:
  `propertyIndex` - the index of the entry's property.
  `value` - the value for the entry.

### add

boolean add(Property property, Object value)
Adds a new entry with the specified property and value to the end of the entries.

Parameters:
  `property` - the property of the entry.
  `value` - the value for the entry.

### add

void add(int index, String propertyName, Object value)
Adds a new entry with the specified property name and value at the specified entry index.

Parameters:
  `index` - the index at which to add the entry.
  `propertyName` - the name of the entry's property.
  `value` - the value for the entry.

### add

void add(int index, int propertyIndex, Object value)
Adds a new entry with the specified property index and value at the specified entry index.

Parameters:
  `index` - the index at which to add the entry.
  `propertyIndex` - the index of the entry's property.
  `value` - the value for the entry.

### add

void add(int index, Property property, Object value)
Adds a new entry with the specified property and value at the specified entry index.

Parameters:
  `index` - the index at which to add the entry.
  `property` - the property of the entry.
  `value` - the value for the entry.

### remove

void remove(int index)
Removes the entry at the given entry index.

Parameters:
  `index` - the index of the entry.

### move

void move(int toIndex, int fromIndex)
Moves the entry at `fromIndex` to `toIndex`.

Parameters:
  `toIndex` - the index of the entry destination.
  `fromIndex` - the index of the entry to move.

### add

void add(String text)
Deprecated.
replaced by `addText(String)` in 2.1.0

### add

void add(int index, String text)
Deprecated.
replaced by `addText(int, String)` in 2.1.0

### addText

void addText(String text)
Adds a new text entry to the end of the Sequence.

Parameters:
  `text` - value of the entry.

### addText

void addText(int index, String text)
Adds a new text entry at the given index.

Parameters:
  `index` - the index at which to add the entry.
  `text` - value of the entry.